Last Comment Bug 888660 - MOZ_MOVEMAIL ifdef not working for account central page
: MOZ_MOVEMAIL ifdef not working for account central page
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86_64 Linux
: -- normal (vote)
: Thunderbird 25.0
Assigned To: alta88
:
Mentors:
Depends on:
Blocks: 529131
  Show dependency treegraph
 
Reported: 2013-06-29 12:25 PDT by alta88
Modified: 2013-07-23 06:41 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
+
fixed


Attachments
patch (3.88 KB, patch)
2013-07-04 06:43 PDT, alta88
Pidgeot18: review-
Details | Diff | Splinter Review
patch2 (3.92 KB, patch)
2013-07-07 15:02 PDT, alta88
Pidgeot18: review+
standard8: review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review

Description alta88 2013-06-29 12:25:13 PDT
the ifdef here
http://mxr.mozilla.org/comm-central/source/mailnews/base/content/msgAccountCentral.xul#193

doesn't result in the Movemail label appearing in linux.
Comment 1 :aceman 2013-07-02 05:05:07 PDT
What about HAVE_MOVEMAIL ?
Comment 2 alta88 2013-07-03 11:04:09 PDT
there's no Makefile.in in mailnews/base/content, hence no such declaration.  since build config is in flux, i don't know what the proper solution is, ie a Makefile.in or putting this in a moz.build.
Comment 3 Joshua Cranmer [:jcranmer] 2013-07-03 11:15:25 PDT
(In reply to alta88 from comment #2)
> there's no Makefile.in in mailnews/base/content, hence no such declaration. 
> since build config is in flux, i don't know what the proper solution is, ie
> a Makefile.in or putting this in a moz.build.

The msgAccountCentral.xul gets preprocessed from mailnews/' jar.mn, so the DEFINES declaration in mailnews/Makefile.in is the appropriate place.

Now, that said, adding things to DEFINES in makefiles is still Bad Practice™, and given the number of places we ad-hoc add it to defines, plopping an AC_DEFINE in the configure.in files would work much better IMHO.
Comment 4 alta88 2013-07-03 14:11:55 PDT
well, it's all over the place and what should be done is the Right Thing™ but that often leads straight to No Good Deed...™

since there is no mailnews/configure.in 
1. should one be created, for this
2. does mailnews/ pick up root configure.in
3. does mail/ pick up root, making it unnecessary in its configure.in

you have a better idea of where build config is going, so the most effective thing to do is sketch out specifically how best to clean up this particular definition.
Comment 5 Joshua Cranmer [:jcranmer] 2013-07-03 14:16:12 PDT
(In reply to alta88 from comment #4)
> well, it's all over the place and what should be done is the Right Thing™
> but that often leads straight to No Good Deed...™
> 
> since there is no mailnews/configure.in 
> 1. should one be created, for this
> 2. does mailnews/ pick up root configure.in
> 3. does mail/ pick up root, making it unnecessary in its configure.in

4. Put the definitions in mail/configure.in and suite/configure.in, around the other AC_SUBST(MOZ_MOVEMAIL) lines (indeed, suite/configure.in and mail/configure.in are nearly full clones of each other).
Comment 6 alta88 2013-07-04 06:43:54 PDT
Created attachment 771343 [details] [diff] [review]
patch


this builds/works; if no issues a suite r will be requested.
Comment 7 Joshua Cranmer [:jcranmer] 2013-07-06 12:23:51 PDT
Comment on attachment 771343 [details] [diff] [review]
patch

Review of attachment 771343 [details] [diff] [review]:
-----------------------------------------------------------------

The configure.in files seem wrong; HAVE_MOVEMAIL=1 should also be defined beforehand.
Comment 8 alta88 2013-07-07 15:02:44 PDT
Created attachment 771880 [details] [diff] [review]
patch2
Comment 9 Mark Banner (:standard8) 2013-07-08 00:40:47 PDT
Comment on attachment 771880 [details] [diff] [review]
patch2

You want a build config review for this, and as it happens I'm a peer of the SM module, so r=me.
Comment 10 alta88 2013-07-08 05:50:30 PDT
this should follow bug 529131.
Comment 11 Ryan VanderMeulen [:RyanVM] 2013-07-11 08:39:04 PDT
https://hg.mozilla.org/comm-central/rev/7d8d252b7056
Comment 12 Mark Banner (:standard8) 2013-07-23 04:39:18 PDT
Comment on attachment 771880 [details] [diff] [review]
patch2

[Triage Comment]
Will take to aurora, as bug 529131 landed there
Comment 13 Mark Banner (:standard8) 2013-07-23 06:41:24 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/b2ae1dae3739

Note You need to log in before you can comment on or make changes to this bug.